petsc-3.4.2 2013-07-02

# MatGetSeqNonzeroStructure

Extracts the sequential nonzero structure from a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetSeqNonzeroStructure(Mat mat,Mat *matstruct)

Collective on Mat

### Input Parameters

mat -the matrix

### Output Parameter

matstruct -the sequential matrix with the nonzero structure of mat

### See Also

MatDestroySeqNonzeroStructure(), MatGetSubMatrices(), MatDestroyMatrices()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages